StyleControllerUpdate Method |
PUT /Style/{id}
Updates a style.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (8.0.2.1001)
Syntax[HttpPutAttribute]
[ActionNameAttribute("Index")]
public virtual HttpResponseMessage Update(
Guid id,
[FromBodyAttribute] StyleData styleData,
Nullable<Guid> sessionId = null
)<HttpPutAttribute>
<ActionNameAttribute("Index")>
Public Overridable Function Update (
id As Guid,
<FromBodyAttribute> styleData As StyleData,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpPutAttribute]
[ActionNameAttribute(L"Index")]
virtual HttpResponseMessage^ Update(
Guid id,
[FromBodyAttribute] StyleData^ styleData,
Nullable<Guid> sessionId = nullptr
)
[<HttpPutAttribute>]
[<ActionNameAttribute("Index")>]
abstract Update :
id : Guid *
[<FromBodyAttribute>] styleData : StyleData *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
[<HttpPutAttribute>]
[<ActionNameAttribute("Index")>]
override Update :
id : Guid *
[<FromBodyAttribute>] styleData : StyleData *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage Parameters
- id
- Type: SystemGuid
The ID of the style to update. - styleData
- Type: Dundas.BI.WebApi.ModelsStyleData
The data that needs to be modified. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
HttpResponseMessage
A
StyleData object containing the style, or a status code indicating the problem.
See Also